## fritzconnection 1.14.0

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --output-file=docs/requirements.txt --strip-extras docs/requirements.local.in
#
alabaster==0.7.16
    # via sphinx
babel==2.16.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
certifi==2024.7.4
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.18.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
furo==2023.3.27
    # via -r docs/requirements.local.in
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via sphinx
markupsafe==2.1.5
    # via jinja2
packaging==24.1
    # via sphinx
pygments==2.18.0
    # via
    #   furo
    #   sphinx
requests==2.32.3
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==5.1.1
    # via
    #   -r docs/requirements.local.in
    #   furo
    #   sphinx-basic-ng
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-rtd-theme==1.2.2
    # via -r docs/requirements.local.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
urllib3==2.2.2
    # via requests

=== debian/changelog ===
fritzconnection (1.14.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 11 Nov 2024 19:30:51 +0000

fritzconnection (1.14.0-1) unstable; urgency=medium

  * Initial release. (Closes: #968818)

 -- Edward Betts <edward@4angle.com>  Sat, 09 Nov 2024 19:56:36 +0000

=== debian/control ===
Source: fritzconnection
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-sphinx <!nodoc>,
 furo <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/kbr/fritzconnection
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/fritzconnection
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/fritzconnection.git

Package: python3-fritzconnection
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Communicate with the AVM FRITZ!Box router using TR-064 and HTTP protocols
 This library provides an interface to interact with the AVM FRITZ!Box router,
 allowing users to access and control various router functionalities through
 the TR-064 and HTTP protocols. It supports actions such as network
 configuration, status retrieval, and management of home automation devices,
 enabling efficient communication with the router's API. Additionally, call-
 monitoring features are included, offering the ability to listen to call
 events. The library accommodates the configuration of both standard and model-
 specific services and actions, providing response data in a convenient format
 for further processing.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fritzconnection
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf fritzconnection.egg-info/ docs/_build

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/fritzconnection-$1\.tar\.gz/ \
  https://github.com/kbr/fritzconnection/tags .*/v?(\d\S+)\.tar\.gz

## fritzconnection 1.15.0

=== docs/requirements.txt ===
sphinx<7.4.0
furo<2025.0.0
#fritzconnection

=== debian/changelog ===
fritzconnection (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Add patch to fix SyntaxWarning in regexp.

 -- Edward Betts <edward@4angle.com>  Thu, 29 May 2025 21:22:32 -0500

fritzconnection (1.14.0-3) unstable; urgency=medium

  * Add patch from Chris Lamb to make package build reproducible.
    (Closes: #1087485)
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sun, 16 Feb 2025 21:09:27 -0500

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
+ furo <!nodoc>,
  python3-sphinx <!nodoc>,
- furo <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/kbr/fritzconnection
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/fritzconnection
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/fritzconnection.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

override_dh_auto_test:
